<?php
/**
 * All-in-One WP Migration
 * Copyright (C) 2014-2018 ServMask Inc.
 *
 * Modified Copyright (C) 2025 Lead Connector
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	die( 'Well Sir You Cannot Jump Here...haha' );
}

class Lcm_Export_Clean {

	public static function execute( $params ) {

		// Delete storage files
		Lcm_Directory::delete( lcm_storage_path( $params ) );

		if ( isset( $params['lcm_export_cancel'] ) ) {
			do_action( 'lcm_status_export_canceled', $params );
		}

		Lcm_Status::info( __( 'Cleaning up the Local Sessions and Exports', 'lc-migrator' ), Lcm_Stages::$STAGES['CLEANUP_LOCAL'] );

		if ( defined( 'WP_CLI' ) ) {
			return $params;
		}

		$params['lcm_start_server_import'] = 1;

		if ( ! isset( $params['lcm_force_closed'] ) || $params['lcm_force_closed'] != 1 ) {
			return $params;
		}

		// Sending Events Based On The Reason of Stopping the Export
		if ( isset( $params['lcm_canceled_due_to_error'] ) && $params['lcm_canceled_due_to_error'] == 1 ) {
			$event = new Lcm_Events( 'LCM_EXPORT_CANCELED_DUE_TO_ERROR', array(
				'user_id'   => get_current_user_id(),
				'string_1'  => get_site_url(),
				'string_10' => $params['lcm_error_message_string'] ?? 'Unknown error occurred',
				'string_5'  => $params['site_id'] ?? 'Unknown site ID',
			) );
			$event->send();
		} else {
			$event = new Lcm_Events( 'LCM_EXPORT_STOPPED_BY_USER', array(
				'user_id'  => get_current_user_id(),
				'string_1' => get_site_url(),
				'string_5' => $params['site_id'] ?? 'Unknown site ID',
			) );
			$event->send();
		}

		exit;
	}
}
